petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatDenseGetArrayRead

gives access to the array where the data for a SeqDense matrix is stored

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseGetArrayRead(Mat A,const PetscScalar **array)

Not Collective

### Input Parameter

mat -a MATSEQDENSE or MATMPIDENSE matrix

### Output Parameter

array -pointer to the data

### See Also

MatDenseRestoreArray(), MatDenseGetArray(), MatDenseRestoreArrayRead()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Implementations

MatDenseGetArrayRead_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseGetArrayRead_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages